#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C)1998,99      DESIGN ENGINEERING      #
# --------------------------------------------------------------------------#
# FILE        : to_dsp.tcl
# PRODUCT     : FITS                                                        #
# AUTHOR      : Steve Johnson                                               #
# DESCRIPTION : generic message bus interfaces			            #
#                                                                           #
#############################################################################


#
#  message bus command (Write - no forgive - no resource lock)
#
set Send_Flags  0x1
set MSG_BUS_FLAGS(QUERY)		2

#
#  Message bus interfaces for int and double messages TO VxWorks
#
proc message_bus_int { system subsystem lun intdata } {
  global Send_Flags

  set msg " { $system $subsystem $lun $Send_Flags } \
            { inline sdword $intdata } "
#   puts $msg
  tclMsgbus send $msg
}

proc message_bus_double { system subsystem lun doubledata } {
  global Send_Flags

  set msg " { $system $subsystem $lun $Send_Flags } \
            { inline double $doubledata } "
#   puts $msg
  tclMsgbus send $msg
}


#
#  Switch Application to Normal UI
#
proc eng_yi_2_main_ui { } {

   set fileId [open /vfs/config.ui w]

   puts $fileId "#ENGINEERING_APPLICATION"
   puts $fileId "#HALT"

   flush $fileId
   close $fileId

   exec reboot
}

