#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : Sleep.tcl                                                   #
# PRODUCT     : FITS                                                        #
# AUTHOR      : David Hagood                                                #
# DESCRIPTION : This file is sourced by TCL when the Sleep command is first #
#             : used.  It loads the C++ interface file and remaps the after #
#               command to use Sleep for all "after <time>" type commands   #
#                                                                           #
#############################################################################
if {"[info command ::Sleep::version]"!=""} { return }

# Load the object file
load $::Sleep::obj
namespace eval ::Sleep {
 proc version { } { return 1.0 }
}

