namespace eval ::SzSnet {
#****************************************************************************
#        Name: Sync
#  Parameters:  none
# Description: Write state variables to hardware
#****************************************************************************
 proc Sync { } \
 {
   eval [getSaveState]
 }
 
}


#****************************************************************************
# This registers the engine with the list for saving instrument states
#****************************************************************************
namespace eval ::SavedStates \
{
   variable engines   
   lappend engines SzSnet
}


#****************************************************************************
# This registers the engine with the list for the version screen
#****************************************************************************
namespace eval ::Version_Screen \
{
   variable version
   variable names
   
   array set names \
   {
     SzSnet_Eng "SmartNet Engine"
     SzSnet_Drv "SmartNet driver"
   }
   set version(SzSnet_Eng)  [SzSnet ver 0]
   set version(SzSnet_Drv)  [SzSnet ver 1]
}

