
# BACKGROUND COLORS (MAKE THESE ALL THE SAME)
set color(softkeybg)    grey        ;# softkey button background
set color(screenbg)     grey        ;# main background 
set color(expandbuttonbg) #f48b44   ;# background of buttons that display other screens or expand somthing on screen
set color(returnbuttonbg) #f48b44   ;# background of return buttons 

# TITLE BAR, SOFTKEY BACKGROUND COLORS (MAKE THESE ALL THE SAME)
set color(menubg)       darkgrey      ;# menu background
set color(menuhighbg)   darkgrey      ;# menu highlight background 
set color(titlebg)      darkgrey      ;# title background
set color(softkeybar)   darkgray      ;# softkey background

# FOREGROUND COLORS (MAKE THESE ALL THE SAME)
set color(menufg)       black       ;# menu text
set color(menuhighfg)   black       ;# menu highlight foreground 
set color(titlefg)      black       ;# title text
set color(softkeyfg)    black       ;# softkey text
set color(screenfg)     black       ;# main text 
set color(expandbuttonfg) #ffff00   ;# forground of buttons that display other screens or expand somthing on screen
set color(returnbuttonfg) #ffff00   ;# forground of return buttons

# GENERAL
set color(menuselect)   blue        ;# menu select 
set color(softkeyactive) green      ;# softkey active
set color(softkeyinactive) red      ;# softkey inactive
set color(readings)     "dark blue"   ;# readings, settings
set color(units)      "dark blue"         ;# units
set color(cursor)       red       ;# cursor
set color(attention) ForestGreen        
set color(inactive) grey90            ;# inactive feature
set color(gridline) grey55            ;# lines on screen, ex. audio out routing

# METERS
set color(meterborder)  black       ;# meter border
set color(meterbar)     white       ;# meter bar
set color(meterout)     red            ;# bar color when reading out of limits
set color(meterulimit)  blue        ;# meter UL limit line
set color(meterllimit)  brown       ;# meter LL limit line
set color(meterpeak)    orangered1    ;# meter peak hold active
set color(meteralarm)   blue        ;# meter alarm active
set color(metertext)    white       ;# meter text

# TRACES 
set color(tracebg) #009fb8          ;# trace area background
set color(tracegrid) #fee65a        ;# trace grid lines
set color(scopech1) white         ;# scope CH1
set color(scopech2) yellow          ;# scope CH2
set color(scopemic) green         ;# scope MIC
set color(scopeaud) green         ;# scope Audio unbalanced
set color(scopebal) green         ;# scope Audio balance
set color(scopedemod) green       ;# scope demod
set color(scopefgen) green          ;# scope fgen

set color(anlztrace)     grey90        ;# anlz live trace
set color(anlzcmptrace)  yellow        ;# anlz compare trace
set color(anlzmathtrace) white         ;# anlz math traces

# TOP LEVELS
set color(newtopbg)  LightYellow3     ;# big meter background
set color(newtoptitlebg)  LightSkyBlue    ;# big meter background
set color(newtopunfocus)  LightYellow4    ;# big meter background

# MESSAGE BOXES
set color(messagebg)    grey90      ;# message box background
set color(messagefg)    blue        ;# message box text

# ENTRY EDITS
set color(editbg) white           ;# background color during edit
set color(edithighlight) blue       ;# color used to highlight digit during spinedit, numeric edit

set color(messageinform) white      ;# background color for informative message boxes 
set color(messagecaution) gold      ;# background color for caution message boxes (warning of questionable readings)
set color(messagewarning) firebrick1  ;# background color for warning message boxes (warning of damage to equipment)

# COLORS NOT USED
set color(anlzpeak+) cyan
set color(anlzpeak-) brown
set color(anlzlimit) red          ;# limit line color
set color(anlzrecall1) yellow
set color(anlzrecall2) magenta
set color(anlzrecall3) DarkOrange1
set color(anlzrecallrest) green
