
# BACKGROUND COLORS (MAKE THESE ALL THE SAME)
set color(softkeybg)      [option get . background {}]  ;# softkey button background
set color(screenbg)       [option get . background {}]  ;# main background 
set color(expandbuttonbg) [option get . background {}]  ;# background of buttons that display other screens or expand somthing
set color(returnbuttonbg) [option get . background {}]  ;# background of return buttons 

# TITLE BAR, SOFTKEY BACKGROUND COLORS (MAKE THESE ALL THE SAME)
set color(menubg)       darkgrey       ;# menu background
set color(menuhighbg)   darkgrey       ;# menu highlight background 
set color(titlebg)      darkgrey       ;# title background
set color(softkeybar)   darkgray       ;# softkey background

# FOREGROUND COLORS (MAKE THESE ALL THE SAME)
set color(menufg)         [option get . foreground {}]  ;# menu text
set color(menuhighfg)     [option get . foreground {}]  ;# menu highlight foreground 
set color(titlefg)        [option get . foreground {}]  ;# title text
set color(softkeyfg)      [option get . foreground {}]  ;# softkey text
set color(screenfg)       [option get . foreground {}]  ;# main text 
set color(expandbuttonfg) [option get . foreground {}]  ;# forground of buttons that display other screens or expand somthing on screen
set color(returnbuttonfg) [option get . foreground {}]  ;# forground of return buttons

# GENERAL
set color(menuselect)   blue                             ;# menu select 
set color(softkeyactive) green                           ;# softkey active
set color(readings)     "dark blue"                      ;# readings, settings
set color(units)        "dark blue"                      ;# units
set color(cursor)       [option get . highlightColor {}] ;# cursor
set color(attention) ForestGreen          
set color(inactive) grey90                ;# inactive feature
set color(gridline) grey55                ;# lines on screen, ex. audio out routing

# METERS
set color(meterborder)  black          ;# meter border
set color(meterbar)     white          ;# meter bar
set color(meterout)     red            ;# bar color when reading out of limits
set color(meterulimit)  blue           ;# meter UL limit line
set color(meterllimit)  brown          ;# meter LL limit line
set color(meterpeak)    orangered1     ;# meter peak hold active
set color(meteralarm)   blue           ;# meter alarm active
set color(metertext)    white          ;# meter text

# TRACES
set color(tracebg) blue                ;# trace area background
set color(tracegrid) black             ;# trace grid lines
set color(scopech1) white              ;# scope CH1
set color(scopech2) yellow             ;# scope CH2
set color(scopemic) green              ;# scope MIC
set color(scopeaud) green              ;# scope Audio unbalanced
set color(scopebal) green              ;# scope Audio balance
set color(scopedemod) green            ;# scope demod
set color(scopefgen) green             ;# scope fgen
set color(anlztrace) white             ;# anlz live trace 1

# TOP LEVELS
set color(newtopbg)  LightYellow3         ;# big meter background
set color(newtoptitlebg)  LightSkyBlue    ;# big meter background
set color(newtopunfocus)  LightYellow4    ;# big meter background

# MESSAGE BOXES
set color(messagebg)    grey90         ;# message box background
set color(messagefg)    blue           ;# message box text

# ENTRY EDITS
set color(editbg) white                ;# background color during edit
set color(edithighlight) blue          ;# color used to highlight digit during spinedit, numeric edit

set color(messageinform) white         ;# background color for informative message boxes 
set color(messagecaution) gold         ;# background color for caution message boxes (warning of questionable readings)
set color(messagewarning) firebrick1   ;# background color for warning message boxes (warning of damage to equipment)

# COLORS NOT USED
set color(anlzpeak+) cyan
set color(anlzpeak-) brown
set color(anlzlimit) red               ;# limit line color
set color(anlzrecall1) yellow
set color(anlzrecall2) magenta
set color(anlzrecall3) DarkOrange1
set color(anlzrecallrest) green
