#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2003      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : David Hagood                                                #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#
#############################################################################
if ![interp issafe] \
{

# Define the handler for catching exceptions.
proc ::Exception { vector vec_name pc func task_name task} \
{
   puts "Exception: $vector $vec_name $pc $func $task_name $task"
}

package ifneeded Utils 1.0 [list tclPkgSetup [file join [pwd] $dir] Utils 1.0 {{utils.tcl source
{
   Syslog Engine UIDScan BGSource BGCommand IdleCount Exception CSVsplit CreateLog Meter_var OnChange
}
}}]

namespace eval Utils \
{
  set path   [file join [pwd] $dir]
  set object [file join $path Utils.out]
}

} \
else \
{
package ifneeded Utils 1.0 [list tclPkgSetup [file join [pwd] $dir] Utils 1.0 {{Utils.out load
{
   BGSource BGCommand
}
}}]
}

