namespace eval ::ALL {
   variable packages {
      Alert
      AFCounter
      Analyzer
      BBAudio
      C4fm
      Dcs
      Dtmf
      Dvm
      FGen
      FMDev
      Generator
      Receiver
      RFError
      Scope
      Sinad
      Dist
      P25
      Sleep
      Power
      RLmeter
      HW_control
      IFR_options
      Gzip
      Untar
      Dsploader
      Ber
      Ltr
      SzSnet
   }
}

proc ALL {} {
   set errors ""
   foreach p $::ALL::packages {
      if [catch { package require $p} err] {
         lappend errors "Error loading $p"
         lappend errors $err
         lappend errors $::errorInfo
      }
   }
   # replace the stock "after" with our routine
   set foo [Sleep::version]
   return "$errors"
}
package provide ALL 1.0
