# Example "tiles" of varied size and shape

#----------------------------------------------------------------------------
#  Quarter sized tiles:  Quarter_A, Quarter_B, Quarter_C
#----------------------------------------------------------------------------
namespace eval Quarter_A {
  variable LongName
  variable ShortName
  variable Size

  set LongName Quarter_A_Tile
  set ShortName Qtr_A
  set Size Quarter

  proc Create { parent } {

     set top_level [winfo toplevel $parent]
     set shortname quarter_A
     if {$top_level != "."} {
        set name $top_level.$shortname
     } else {
        set name $top_level$shortname
     }
     if { ![winfo exists $name]} {
        frame $name -bg gray60 -relief raised -bd 2
        bind <Map> ::Quarter_A::Map %W
        bind <Unmap> ::Quarter_A::Unmap %W
        bind <Destroy> ::Quarter_A::Destroy %W
     }
     return $name
  }

  proc Map { name } { }
  proc Unmap { name } { }
  proc Destroy { name } { }
  proc Register { } { }

}  ;# End of the Quarter_A

namespace eval Quarter_B {
  variable LongName
  variable ShortName
  variable Size

  set LongName Quarter_B_Tile
  set ShortName Qtr_B
  set Size Quarter

  proc Create { parent } {
     set top_level [winfo toplevel $parent]
     set shortname quarter_B
     if {$top_level != "."} {
        set name $top_level.$shortname
     } else {
        set name $top_level$shortname
     }
     if { ![winfo exists $name]} {
        frame $name -bg gray80 -relief raised -bd 2
        bind <Map> ::Quarter_B::Map %W
        bind <Unmap> ::Quarter_B::Unmap %W
        bind <Destroy> ::Quarter_B::Destroy %W
     }
     return $name
  }

  proc Map { name } { }
  proc Unmap { name } { }
  proc Destroy { name } { }
  proc Register { } { }

}  ;# End of the Quarter_B

namespace eval Quarter_C {
  variable LongName
  variable ShortName
  variable Size

  set LongName Quarter_C_Tile
  set ShortName Qtr_C
  set Size Quarter

  proc Create { parent } {
     set top_level [winfo toplevel $parent]
     set shortname quarter_C
     if {$top_level != "."} {
        set name $top_level.$shortname
     } else {
        set name $top_level$shortname
     }
     if { ![winfo exists $name]} {
        frame $name -bg gray95 -relief raised -bd 2
        bind <Map> ::Quarter_C::Map %W
        bind <Unmap> ::Quarter_C::Unmap %W
        bind <Destroy> ::Quarter_C::Destroy %W
     }
     return $name
  }

  proc Map { name } { }
  proc Unmap { name } { }
  proc Destroy { name } { }
  proc Register { } { }

}  ;# End of the Quarter_C

#----------------------------------------------------------------------------
#  Eighth sized tiles:  Eighth_AH, Eighth_BH, Eighth_CH
#----------------------------------------------------------------------------
namespace eval Eighth_AH {
  variable LongName
  variable ShortName
  variable Size

  set LongName Eighth_AH_Tile
  set ShortName Ate_AH
  set Size Eighth_h

  proc Create { parent } {
     set top_level [winfo toplevel $parent]
     set shortname eighth_AH
     if {$top_level != "."} {
        set name $top_level.$shortname
     } else {
        set name $top_level$shortname
     }
     if { ![winfo exists $name]} {
        frame $name -bg blue -relief raised -bd 2
     }
     return $name
  }

  proc Map { name } { }
  proc Unmap { name } { }
  proc Destroy { name } { }
  proc Register { } { }

}  ;# End of the Eighth_AH

namespace eval Eighth_BH {
  variable LongName
  variable ShortName
  variable Size

  set LongName Eighth_BH_Tile
  set ShortName Ate_BH
  set Size Eighth_h

  proc Create { parent } {
     set top_level [winfo toplevel $parent]
     set shortname eighth_BH
     if {$top_level != "."} {
        set name $top_level.$shortname
     } else {
        set name $top_level$shortname
     }
     if { ![winfo exists $name]} {
        frame $name -bg red -relief raised -bd 2
     }
     return $name
  }

  proc Map { name } { }
  proc Unmap { name } { }
  proc Destroy { name } { }
  proc Register { } { }

}  ;# End of the Eighth_BH

namespace eval Eighth_CH {
  variable LongName
  variable ShortName
  variable Size

  set LongName Eighth_CH_Tile
  set ShortName Ate_CH
  set Size Eighth_h

  proc Create { parent } {
     set top_level [winfo toplevel $parent]
     set shortname eighth_CH
     if {$top_level != "."} {
        set name $top_level.$shortname
     } else {
        set name $top_level$shortname
     }
     if { ![winfo exists $name]} {
        frame $name -bg green -relief raised -bd 2
     }
     return $name
  }

  proc Map { name } { }
  proc Unmap { name } { }
  proc Destroy { name } { }
  proc Register { } { }

}  ;# End of the Eighth_CH

#----------------------------------------------------------------------------
#  Eighth sized tiles:  Eighth_AV, Eighth_BV, Eighth_CV
#----------------------------------------------------------------------------
namespace eval Eighth_AV {
  variable LongName
  variable ShortName
  variable Size

  set LongName Eighth_AV_Tile
  set ShortName Ate_AV
  set Size Eighth_v

  proc Create { parent } {
     set top_level [winfo toplevel $parent]
     set shortname eighth_AV
     if {$top_level != "."} {
        set name $top_level.$shortname
     } else {
        set name $top_level$shortname
     }
     if { ![winfo exists $name]} {
        frame $name -bg blue -relief raised -bd 2
     }
     return $name
  }

  proc Map { name } { }
  proc Unmap { name } { }
  proc Destroy { name } { }
  proc Register { } { }

}  ;# End of the Eighth_AV

namespace eval Eighth_BV {
  variable LongName
  variable ShortName
  variable Size

  set LongName Eighth_BV_Tile
  set ShortName Ate_BV
  set Size Eighth_v

  proc Create { parent } {
     set top_level [winfo toplevel $parent]
     set shortname eighth_BV
     if {$top_level != "."} {
        set name $top_level.$shortname
     } else {
        set name $top_level$shortname
     }
     if { ![winfo exists $name]} {
        frame $name -bg red -relief raised -bd 2
     }
     return $name
  }

  proc Map { name } { }
  proc Unmap { name } { }
  proc Destroy { name } { }
  proc Register { } { }

}  ;# End of the Eighth_BV

namespace eval Eighth_CV {
  variable LongName
  variable ShortName
  variable Size

  set LongName Eighth_CV_Tile
  set ShortName Ate_CV
  set Size Eighth_v

  proc Create { parent } {
     set top_level [winfo toplevel $parent]
     set shortname eighth_CV
     if {$top_level != "."} {
        set name $top_level.$shortname
     } else {
        set name $top_level$shortname
     }
     if { ![winfo exists $name]} {
        frame $name -bg green -relief raised -bd 2
     }
     return $name
  }

  proc Map { name } { }
  proc Unmap { name } { }
  proc Destroy { name } { }
  proc Register { } { }

}  ;# End of the Eighth_CV

